| IOLink C# 1.11.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Static Public Attributes | Protected Member Functions | List of all members
IOLink.ViewOriginExtension Class Reference

Extension used to access view's origins if it exists. Views can be created from scratch, but also from one or many other views. This extension provides methods which allow to build the dependency tree of current view. It also helps to retrieve information to know data origin and to identify a view between others. More...

Inheritance diagram for IOLink.ViewOriginExtension:

## Public Member Functions
| ViewOriginExtension (global::System.IntPtr cPtr, bool cMemoryOwn)
virtual ulong | Uid ()
| Returns an unique identifier for current view.
virtual uint | ParentCount ()
| Returns the count of parents used to create the current view.
virtual ViewOriginExtension | Parent (uint idx)
| Returns, for the given index, the viewOrigin extension of the parent used to create the current view.
virtual ViewDataOrigin | DataOrigin ()
| Returns the data origin of current view.
virtual string | DisplayName ()
| Returns the name of the current view to display.
string | ToString ()
| String representation of the extension.
Public Member Functions inherited from IOLink.Extension
| Extension (global::System.IntPtr cPtr, bool cMemoryOwn)
void | Dispose ()

## Static Public Member Functions
static global::System.Runtime.InteropServices.HandleRef | getCPtr (ViewOriginExtension obj)
static ViewOriginExtension | Cast (Extension extension)
Static Public Member Functions inherited from IOLink.Extension
static global::System.Runtime.InteropServices.HandleRef | getCPtr (Extension obj)

## Static Public Attributes
static readonly uint | EXTENSION_ID = IOLinkPINVOKE.ViewOriginExtension_EXTENSION_ID_get()

## Protected Member Functions
override void | Dispose (bool disposing)

## Detailed Description

Extension used to access view's origins if it exists. Views can be created from scratch, but also from one or many other views. This extension provides methods which allow to build the dependency tree of current view. It also helps to retrieve information to know data origin and to identify a view between others.

## Member Function Documentation

## ◆ Cast()

static ViewOriginExtension IOLink.ViewOriginExtension.Cast | ( | Extension | extension | ) |
| inline static

Upcast a generic extension to this specific type.

Parameters

  extension | The extension to cast.

Returns
  The upcasted extension. This will be null if no upcasting is possible.

## ◆ DataOrigin()

virtual ViewDataOrigin IOLink.ViewOriginExtension.DataOrigin | ( |  | ) |
| inline virtual

Returns the data origin of current view.

Exceptions

  Error | if data origin is not available

## ◆ DisplayName()

virtual string IOLink.ViewOriginExtension.DisplayName | ( |  | ) |
| inline virtual

Returns the name of the current view to display.

Exceptions

  Error | if display name is not available

## ◆ Dispose()

override void IOLink.ViewOriginExtension.Dispose | ( | bool | disposing | ) |
| inline protected virtual

Reimplemented from IOLink.Extension.

## ◆ Parent()

virtual ViewOriginExtension IOLink.ViewOriginExtension.Parent | ( | uint | idx | ) |
| inline virtual

Returns, for the given index, the viewOrigin extension of the parent used to create the current view.

Parameters

  idx | index of parent to retrieve

Exceptions

  Error | if the index is out of range

Returns
  a ViewOrigin extension which cannot be null

## ◆ ParentCount()

virtual uint IOLink.ViewOriginExtension.ParentCount | ( |  | ) |
| inline virtual

Returns the count of parents used to create the current view.

Returns
  count of view's parents

## ◆ Uid()

virtual ulong IOLink.ViewOriginExtension.Uid | ( |  | ) |
| inline virtual

Returns an unique identifier for current view.

Returns
  view identifier

The documentation for this class was generated from the following file:

- Release/net/generated/ViewOriginExtension.cs